package com.izouma.dingdong.contorller;

import com.izouma.dingdong.domain.BankCard;
import com.izouma.dingdong.web.BankCardController;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class BankCardControllerTest {
    @Autowired
    private BankCardController bankCardController;

    @Test
    public void testSave(){
        BankCard build = BankCard.builder()
                .bankName("111")
                .idNo("1111")
                .realName("111")
                .userId(188L)
                .phone("11")
                .cardNo("11")
                .enabled(true)
                .build();
        build.setId(435L);
        System.out.println(bankCardController.save(build));
    }
}
